#!/bin/sh

echo Building with ...
echo gcc src/main.c -o res/main $(pkg-config --cflags --libs sdl3 x11 xfixes sdl3-image)
gcc src/main.c src/neko.c -I src/ -o res/main $(pkg-config --static --cflags --libs sdl3 x11 xfixes sdl3-image) -lm

echo Building static version
echo gcc src/main.c src/neko.c -I src/ -o res/main 
echo    $(pkg-config --cflags sdl3 x11 xfixes sdl3-image) 
echo    -Wl,-Bstatic -lSDL3 -lSDL3_image -Wl,-Bdynamic 
echo    -lX11 -lXfixes -lm
gcc src/main.c src/neko.c -I src/ -o res/main \
    $(pkg-config --cflags sdl3 x11 xfixes sdl3-image) \
    -Wl,-Bstatic -lSDL3 -lSDL3_image -Wl,-Bdynamic \
    -lX11 -lXfixes -lm

echo Running...
#DISPLAY=:1 ./res/main
./res/main
